Description
ApiAttribute is the Schema for the apiattrbutes API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ApiAttributeSpec defines the desired state of ApiAttribute

statusobject

ApiAttributeStatus defines the observed state of ApiAttribute

.spec

Description
ApiAttributeSpec defines the desired state of ApiAttribute
Type
object
PropertyTypeDescription
exactsarray

Exact match type.

prefixsarray

Prefix matching.

regmatchesarray

Regular matching, deprecated.

.spec.exacts

Description
Exact match type.
Type
array

.spec.exacts[]

Type
object
Required
matchpathmethodoperationid
PropertyTypeDescription
envoypatternpathstring
matchpathstring
methodstring
operationidstring
sourcetypestring

.spec.prefixs

Description
Prefix matching.
Type
array

.spec.prefixs[]

Type
object
Required
matchpathmethodoperationid
PropertyTypeDescription
envoypatternpathstring
matchpathstring
methodstring
operationidstring
sourcetypestring

.spec.regmatches

Description
Regular matching, deprecated.
Type
array

.spec.regmatches[]

Type
object
Required
matchpathmethodoperationid
PropertyTypeDescription
envoypatternpathstring
matchpathstring
methodstring
operationidstring
sourcetypestring

.status

Description
ApiAttributeStatus defines the observed state of ApiAttribute
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes
    • DELETE: delete collection of ApiAttribute
    • GET: list objects of kind ApiAttribute
    • POST: create a new ApiAttribute
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes/{name}
    • DELETE: delete the specified ApiAttribute
    • GET: read the specified ApiAttribute
    • PATCH: partially update the specified ApiAttribute
    • PUT: replace the specified ApiAttribute
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes/{name}/status
    • GET: read status of the specified ApiAttribute
    • PATCH: partially update status of the specified ApiAttribute
    • PUT: replace status of the specified ApiAttribute

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes

HTTP method
DELETE
Description
delete collection of ApiAttribute
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ApiAttribute
HTTP responses
HTTP codeResponse body
200 - OKApiAttributeList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyApiAttribute schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
201 - CreatedApiAttribute schema
202 - AcceptedApiAttribute schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes/{name}

HTTP method
DELETE
Description
delete the specified ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ApiAttribute
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyApiAttribute schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
201 - CreatedApiAttribute schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/apiattributes/{name}/status

HTTP method
GET
Description
read status of the specified ApiAttribute
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ApiAttribute
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyApiAttribute schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKApiAttribute schema
201 - CreatedApiAttribute schema
401 - UnauthorizedEmpty